//************************************************
// Page données Linky Brutes HTML et Javascript 
//************************************************
const char *PageBrute = R"====(
 <!doctype html>
   <html><head><style>
    * {box-sizing: border-box;}
    body {background: linear-gradient(#003,#77b5fe,#003);background-attachment:fixed;font-size:150%;text-align:center;width:100%;max-width:1000px;margin:auto;}
    h2{text-align:center;color:white;}
    a:link {color:#ccf;text-decoration: none;}
    a:visited {color:#ccf;text-decoration: none;}
    .ri { text-align: right;}
    .Wh { background-color:#fdd;}
    .A { background-color:#ddf;}
    .VA { background-color:#ffd;}
    .V { background-color:#dfd;}
    .foot { color:white;}
    #date { color:white;}
    #DataLinky { background-color:white;display:inline-block;margin:auto;padding:4px;text-align:left;width:100%;overflow:hidden;font-size:12px;}
    #tableau,#DataESP32 { background-color:white;display:inline-block;margin:auto;padding:4px;}
    table {border:10px inset azure;}
    td { text-align: left;padding:4px;}
    #LED{position:absolute;top:4px;left:4px;width:0px;height:0px;border:5px solid red;border-radius:5px;}
    .onglets{margin-top:4px;left:0px;font-size:130%;}
    .Baccueil,.Bbrut,.Bparametres,.Bactions{margin-left:20px;border:outset 4px grey;background-color:#333;border-radius:6px;padding-left:20px;padding-right:20px;display:inline-block;}
    .Bbrut{border:inset 8px azure;}
  </style></head>
  <body  onload='LoadData();LoadDataESP32();' >
    <div id='LED'></div>
    <div class='onglets'><div class='Baccueil'><a href='/'>Accueil</a></div><div class='Bbrut'><a href='/Brute'>Donn&eacute;es brutes</a></div><div class='Bparametres'><a href='/Para'>Param&egrave;tres</a></div><div class='Bactions'><a href='/Actions'>Actions</a></div></div>
    <h2>Routeur Solaire - Linky</h2>
    <div id='date'></div>
    <div id='tableau'></div>
    <br><br><div class='foot' >Donn&eacute;es brutes Linky en mode standard</div>
    <div><div id='DataLinky' ></div></div>
    <br><br><div class='foot' >Donn&eacute;es ESP32</div>
    <div><div id='DataESP32' ></div></div>
    <div class='ri'><small><a href='https:F1ATB.fr' >F1ATB.fr</a></small></div>
    <script src='BruteJS'></script>
    <br></body></html>
)====";

const char *PageBruteJS = R"====(
       var IdxMessageLinky=0;
       var MessageRecu='';
       const M=[];
       M.push(['EAST','Energie active soutir&eacute;e',false,'Wh',false]);
       M.push(['EASF01','Energie active soutir&eacute;e Fournisseur,<br>index 01',true,'Wh',false]);
       M.push(['EASF02','Energie active soutir&eacute;e Fournisseur,<br>index 02',true,'Wh',false]);
       M.push(['EASF03','Energie active soutir&eacute;e Fournisseur,<br>index 03',true,'Wh',false]);
       M.push(['EASF04','Energie active soutir&eacute;e Fournisseur,<br>index 04',true,'Wh',false]);
       M.push(['EASF05','Energie active soutir&eacute;e Fournisseur,<br>index 05',true,'Wh',false]);
       M.push(['EASF06','Energie active soutir&eacute;e Fournisseur,<br>index 06',true,'Wh',false]);
       M.push(['EASF07','Energie active soutir&eacute;e Fournisseur,<br>index 07',true,'Wh',false]);
       M.push(['EASF08','Energie active soutir&eacute;e Fournisseur,<br>index 08',true,'Wh',false]);
       M.push(['EASF09','Energie active soutir&eacute;e Fournisseur,<br>index 09',true,'Wh',false]);
       M.push(['EASF10','Energie active soutir&eacute;e Fournisseur,<br>index 10',true,'Wh',false]);
       M.push(['EAIT','Energie active inject&eacute;e',false,'Wh',false]);
       M.push(['IRMS1','Courant efficace, phase 1',true,'A',false]);
       M.push(['IRMS2','Courant efficace, phase 2',true,'A',false]);
       M.push(['IRMS3','Courant efficace, phase 3',true,'A',false]);
       M.push(['URMS1','Tension efficace, phase 1',true,'V',false]);
       M.push(['URMS2','Tension efficace, phase 2',true,'V',false]);
       M.push(['URMS3','Tension efficace, phase 3',true,'V',false]);
       M.push(['SINSTS','Puissance app. Instantan&eacute;e soutir&eacute;e',false,'VA',false]);
       M.push(['SINSTS1','Puissance app. Instantan&eacute;e soutir&eacute;e phase 1',true,'VA',false]);
       M.push(['SINSTS2','Puissance app. Instantan&eacute;e soutir&eacute;e phase 2',true,'VA',false]);
       M.push(['SINSTS3','Puissance app. Instantan&eacute;e soutir&eacute;e phase 3',true,'VA',false]);
       M.push(['SMAXSN','Puissance app. max. soutir&eacute;e n',false,'VA',true]);
       M.push(['SMAXSN1','Puissance app. max. soutir&eacute;e n phase 1',true,'VA',true]);
       M.push(['SMAXSN2','Puissance app. max. soutir&eacute;e n phase 2',true,'VA',true]);
       M.push(['SMAXSN3','Puissance app. max. soutir&eacute;e n phase 3',true,'VA',true]);
       M.push(['SMAXSN-1','Puissance app. max. soutir&eacute;e n-1',false,'VA',true]);
       M.push(['SMAXSN1-1','Puissance app. max. soutir&eacute;e n-1 phase 1',true,'VA',true]);
       M.push(['SMAXSN2-1','Puissance app. max. soutir&eacute;e n-1 phase 2',true,'VA',true]);
       M.push(['SMAXSN3-1','Puissance app. max. soutir&eacute;e n-1 phase 3',true,'VA',true]);
       M.push(['SINSTI','Puissance app. Instantan&eacute;e inject&eacute;e',false,'VA',false]);
       M.push(['SMAXIN','Puissance app. max inject&eacute;e n',false,'VA',true]);
       M.push(['SMAXIN-1','Puissance app. max inject&eacute;e n-1',false,'VA',true]);
       var S='<table>';
       for (var i=0;i<M.length;i++){
        S+='<tr id="L'+M[i][0]+'" style="display:none;" class="'+M[i][3]+'"><td>'+M[i][1]+'</td><td id="'+M[i][0]+'" class="ri"></td><td>'+M[i][3]+'</td><td id="h'+M[i][0]+'" class="ri"></td></tr>';
       }
       S+='</table>';
       GH('tableau', S);
       function LoadData() {
        GID('LED').style='display:block;';
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() { 
          if (this.readyState == 4 && this.status == 200) {
             var DuLinky=this.responseText;
             var message=DuLinky.split('|');
             MessageRecu +=message[0];
             var groupes=MessageRecu.split(String.fromCharCode(2));
             var lg=groupes.length;
             if (lg>2){
	              MessageRecu=String.fromCharCode(2)+groupes[lg-1];               
                GH('DataLinky', '<pre>'+groupes[lg-2]+'</pre>');
                var lignes=groupes[lg-2].split(String.fromCharCode(10));
                for (var i=0;i<lignes.length;i++){
                  var colonnes=lignes[i].split(String.fromCharCode(9));
                  if (colonnes[0]=='DATE'){
                     GH('date', LaDate(colonnes[1]));
                  }
                  for (var j=0;j<M.length;j++){
                    if (colonnes[0]==M[j][0]){
                      if (!M[j][2] || parseInt(colonnes[1])>0){
                        GID('L'+M[j][0]).style='display:table-row;';
                        if (M[j][4]){
                          GH('h'+M[j][0],  LaDate(colonnes[1]));
                          GH(M[j][0], LaVal(colonnes[2]));
                        } else {
                          GH(M[j][0], LaVal(colonnes[1]));
                        }
                      }
                    }
                  }
                };
                GID('LED').style='display:none;';
             }
             IdxMessageLinky=message[1];
             setTimeout('LoadData();',2000);
          }  
        };
        xhttp.open('GET', 'ajax_dataLinky?idx='+IdxMessageLinky, true);
        xhttp.send();
      }
      function LoadDataESP32() {
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() { 
          if (this.readyState == 4 && this.status == 200) {
              var dataESP=this.responseText;
              var message=dataESP.split('|');
              var S='<table>';
              var H=parseInt(message[0]);
              H=H + (message[0]-H)*0.6;
              H=H.toFixed(2);
              H=H.replace(".", "h ")+"mn";
              S+='<tr><td>ESP On depuis :<td><td>'+H+'</td></tr>';
              S+='<tr><td>Niveau WiFi :<td><td>'+message[1]+' dB</td></tr>';
              S+="<tr><td>Point d'acc&egrave;s WiFi :<td><td>"+message[2]+'</td></tr>';
              S+='<tr><td>R&eacute;seau WiFi :<td><td>'+message[3]+'</td></tr>';
              S+='<tr><td>Adresse IP ESP32 :<td><td>'+message[4]+'</td></tr>';
              S+='<tr><td>Adresse passerelle :<td><td>'+message[5]+'</td></tr>';
              S+='<tr><td>Masque du r&eacute;seau :<td><td>'+message[6]+'</td></tr>';
              S+='<tr><td>Charge coeur 0 (Lecture Linky) Min, Moy, Max :<td><td>'+message[7]+' ms</td></tr>';
              S+='<tr><td>Charge coeur 1 (Calcul + Wifi) Min, Moy, Max :<td><td>'+message[8]+' ms</td></tr>';
              S+='</table>';
              GH('DataESP32', S);             
             setTimeout('LoadDataESP32();',5000);
          }
          
        };
        xhttp.open('GET', 'ajax_dataESP32', true);
        xhttp.send();
      }
      function LaDate(d){
          return d.substr(0,1)+' '+d.substr(5,2)+'/'+d.substr(3,2)+'/'+d.substr(1,2)+' '+d.substr(7,2)+'h '+d.substr(9,2)+'mn '+d.substr(11,2)+'s';
      }
      function LaVal(d){
          d=parseInt(d);
          d='           '+d.toString();
          return d.substr(-9,3)+' '+d.substr(-6,3)+' '+d.substr(-3,3);
      }
      function GID(id) {
          return document.getElementById(id);
      };
      function GH(id, T) {
          GID(id).innerHTML = T;
      }
)====";

